import request from '@/utils/request'

//标准箱列表
export function getQrCodeBoxListApi(query) {
    return request({
        url: '/material/bm_qrcode_box/list',
        method: 'get',
        params: query,
    })
}

// 新增标准箱
export function addQrCodeBoxApi(data) {
    return request({
        url: '/material/bm_qrcode_box/add',
        method: 'post',
        data: data,
    })
}

// 编辑标准箱
export function editQrCodeBoxApi(data) {
    return request({
        url: '/material/bm_qrcode_box/edit',
        method: 'post',
        data: data,
    })
}

// 删除标准箱
export function delQrCodeBoxApi(data) {
    return request({
        url: '/material/bm_qrcode_box/deleteById',
        method: 'post',
        data: data,
    })
}

//标准箱-设备明细列表
export function getBoxDetailListApi(query) {
    return request({
        url: '/material/bm_qrcode_box/getList',
        method: 'get',
        params: query,
    })
}
export function getNumListApi(query) {
    return request({
        url: '/material/bm_qrcode_box/getNumList',
        method: 'get',
        params: query,
    })
}






















